From: Teemu Ikonen <tpikonen@gmail.com>
Date: Fri, 6 Dec 2019 16:57:50 -0600
Subject: Disable checking for updates on startup.

Forwarded: not-needed
---
 src/meshlab/mainwindow_RunTime.cpp | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/meshlab/mainwindow_RunTime.cpp b/src/meshlab/mainwindow_RunTime.cpp
index cc0ea6e..08ce915 100644
--- a/src/meshlab/mainwindow_RunTime.cpp
+++ b/src/meshlab/mainwindow_RunTime.cpp
@@ -2590,7 +2590,9 @@ void MainWindow::helpOnscreen()
 
 void MainWindow::helpOnline()
 {
+#if defined(__ENABLE_AUTO_STATS__)
 	checkForUpdates(false);
+#endif
 	QDesktopServices::openUrl(QUrl("http://www.meshlab.net/#support"));
 }
 
